Summary:	SMTP "plugin" for MUAs
Summary(pl.UTF-8):	"Wtyczka" SMTP dla klientów pocztowych (MUA)
Name:		msmtp
Version:	1.6.2
Release:	1
License:	GPL v3+
Group:		Networking/Utilities
Source0:	http://downloads.sourceforge.net/msmtp/%{name}-%{version}.tar.xz
# Source0-md5:	3baca93c7e5f1aa9d36a2e5b38739ab9
Patch0:		%{name}-home_etc.patch
Source1:	%{name}rc
URL:		http://msmtp.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	gettext-tools
BuildRequires:	gnutls-devel >= 1.2.0
BuildRequires:	gsasl-devel
BuildRequires:	libidn-devel
BuildRequires:	libsecret-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
msmtp is a simple program that works as an "SMTP plugin" for Mutt and
probably other MUAs (mail user agents). It forwards mails to an SMTP
server (for example at a free mail provider) which does the delivery.
Features include:
- PLAIN, LOGIN, CRAM-MD5, GSSAPI, DIGEST-MD5 and NTLM authentications
- TLS encrypted connections
- Internationalized Domain Names (IDN) support
- IPv6 support
- robustness
- detailed error messages if something goes wrong (including the full
  answer of the SMTP server)
- sendmail compatible exit codes (which most MUAs understand).

Simply tell your MUA to call msmtp instead of /usr/sbin/sendmail (with
Mutt that's just one additional line in the config file).

%description -l pl.UTF-8
msmtp to prosty program działający jako "wtyczka SMTP" dla Mutta i
innych klientów pocztowych (MUA - mail user agents). Przekierowuje
wiadomości do serwera SMTP (na przykład providera darmowych kont
e-mail), który je dostarcza. Możliwości obejmują:
- uwierzytelnianie PLAIN, LOGIN, CRAM-MD5, GSSAPI, DIGEST-MD5 i NTLM
- obsługę Internationalized Domain Names (IDN)
- szyfrowane połączenia TLS
- obsługę IPv6
- szczegółowe komunikaty błędów w przypadku niepowodzenia (włącznie z
  pełną odpowiedzią serwera SMTP)
- kody wyjścia kompatybilne z sendmailem (które rozumie większość
  MUA).

Wystarczy przekazać klientowi pocztowemu, aby wywoływał msmtp zamiast
/usr/sbin/sendmail (w Mutcie to po prostu dodatkowa linia w pliku
konfiguracyjnym).

%package sendmail
Summary:	msmtp sendmail compatible wrapper
Summary(pl.UTF-8):	msmtp - dowiązania symboliczne do sendmaila
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Obsoletes:	/usr/lib/sendmail

%description sendmail
msmtp sendmail compatible wrapper.

%description sendmail -l pl.UTF-8
Dowiązania symboliczne msmtp do sendmaila.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-silent-rules \
	--with-libgsasl \
	--with-libidn \
	--with-libsecret \
	--with-ssl=gnutls
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/usr/lib,%{_sysconfdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/msmtprc
ln -s %{_bindir}/%{name} $RPM_BUILD_ROOT/usr/lib/sendmail
ln -s %{_bindir}/%{name} $RPM_BUILD_ROOT%{_sbindir}/sendmail

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -f scripts/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS doc/msmtprc-{system,user}.example scripts
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/msmtp*
%{_infodir}/msmtp*

%files sendmail
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(755,root,root) %{_sbindir}/*
/usr/lib/sendmail
%changelog
* Sat Apr 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/msmtp.git;a=log;h=auto/th/msmtp-1.6.2-1

* Fri Apr 24 2015 Jan Palus <atler@pld-linux.org> 80c554c
- up to 1.6.2

* Mon Jan 05 2015 Jan Palus <atler@pld-linux.org> 4734f00
- up to 1.6.1

* Wed Dec 31 2014 Jan Palus <atler@pld-linux.org> b6bb3cf
- up to 1.6.0
- run autotools
- updated BRs
- explicilty enable features by passing flags to configure

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> a2a70d9
- up to 1.4.32

* Wed Apr 24 2013 Jan Palus <jan.palus@gmail.com> ee1ce1c
- up to 1.4.31

* Sun Oct 21 2012 Karol Krenski <charles@pld-linux.org> 52f7c6f
- up to 1.4.30

* Thu Sep 06 2012 Karol Krenski <charles@pld-linux.org> 777d422
- up to 1.4.29

* Wed May 02 2012 Elan Ruusamäe <glen@pld-linux.org> bb718af
- revert unthinkable adapter, see also r1.58

* Wed May 02 2012 Karol Krenski <charles@pld-linux.org> 49a6b70
- adapterized

* Tue May 01 2012 Karol Krenski <charles@pld-linux.org> d4b233a
- up to 1.4.28

* Sun Jan 08 2012 Karol Krenski <charles@pld-linux.org> 7aa0208
- up to 1.4.27

* Mon Oct 17 2011 Karol Krenski <charles@pld-linux.org> 2aeeb5a
- up to 1.4.25

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c5f82bc
- release 3

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d5362d2
- release 2

* Thu Apr 28 2011 Karol Krenski <charles@pld-linux.org> a78dbc5
- up to 1.4.24

* Mon Jan 17 2011 Karol Krenski <charles@pld-linux.org> 9210812
- up to 1.4.23

* Thu Dec 30 2010 Karol Krenski <charles@pld-linux.org> b321bd9
- up to 1.4.22

* Mon Oct 11 2010 Jan Palus <jan.palus@gmail.com> 68ee621
- up to 1.4.21

* Fri May 07 2010 Szymon Siwek <sls@pld-linux.org> 49bbceb
- updated for 1.4.20

* Fri May 07 2010 Szymon Siwek <sls@pld-linux.org> 2fa78f8
- ver. 1.4.20

